[CalendarServer-changes] [5172] CalendarServer/trunk/support

source_changes at macosforge.org source_changes at macosforge.org
Sun Feb 21 18:59:00 PST 2010


Revision: 5172
          http://trac.macosforge.org/projects/calendarserver/changeset/5172
Author:   wsanchez at apple.com
Date:     2010-02-21 18:58:59 -0800 (Sun, 21 Feb 2010)
Log Message:
-----------
Fix run -p

Modified Paths:
--------------
    CalendarServer/trunk/support/build.sh
    CalendarServer/trunk/support/py.sh

Modified: CalendarServer/trunk/support/build.sh
===================================================================
--- CalendarServer/trunk/support/build.sh	2010-02-21 21:48:15 UTC (rev 5171)
+++ CalendarServer/trunk/support/build.sh	2010-02-22 02:58:59 UTC (rev 5172)
@@ -357,7 +357,9 @@
 
   local srcdir="${top}/${distribution}"
 
-  echo "";
+  if ! "${print_path}"; then
+    echo "";
+  fi;
   if "${override}" || ! py_have_module ${version} "${module}"; then
     "${get_type}_get" "${name}" "${srcdir}" "${get_uri}" "${revision}"
     if "${inplace}"; then
@@ -383,7 +385,9 @@
     fi;
     export PYTHONPATH="${PYTHONPATH}:${add_path}";
   else
-    echo "Using system version of ${name}.";
+    if ! "${print_path}"; then
+      echo "Using system version of ${name}.";
+    fi;
   fi;
 }
 

Modified: CalendarServer/trunk/support/py.sh
===================================================================
--- CalendarServer/trunk/support/py.sh	2010-02-21 21:48:15 UTC (rev 5171)
+++ CalendarServer/trunk/support/py.sh	2010-02-22 02:58:59 UTC (rev 5172)
@@ -116,7 +116,9 @@
       mvh="${mv%%.*}";
 
       if [ "$vh" -gt "$mvh" ]; then
-        echo "${no_such_luck}";
+        if ! "${print_path}"; then
+          echo "${no_such_luck}";
+        fi;
         result=1;
         break;
       fi;
@@ -128,7 +130,9 @@
 
       if [ "${mv}" == "${mv#*.}" ]; then
         # No dots left, so we're not gonna match
-        echo "${no_such_luck}";
+        if ! "${print_path}"; then
+          echo "${no_such_luck}";
+        fi;
         result=1;
         break;
       fi;
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20100221/21be41ee/attachment-0001.html>


More information about the calendarserver-changes mailing list